Skip to main content
POST
/
api
/
v2
/
projects
/
{projectUuid}
/
query
/
underlying-data
Error
A valid request URL is required to generate request examples
{
  "results": {
    "resolvedTimezone": "<string>",
    "usedParametersValues": {},
    "parameterReferences": [
      "<string>"
    ],
    "cacheMetadata": {
      "cacheHit": true,
      "preAggregate": {
        "hit": true,
        "reason": {},
        "name": "<string>"
      },
      "cacheKey": "<string>",
      "cacheExpiresAt": "2023-11-07T05:31:56Z",
      "cacheUpdatedTime": "2023-11-07T05:31:56Z"
    },
    "queryUuid": "<string>",
    "warnings": [
      {
        "message": "<string>",
        "tables": [
          "<string>"
        ],
        "fields": [
          "<string>"
        ]
      }
    ],
    "fields": {},
    "metricQuery": {
      "tableCalculations": [
        {
          "displayName": "<string>",
          "name": "<string>",
          "sql": "<string>",
          "format": {
            "round": 123,
            "currency": "<string>",
            "prefix": "<string>",
            "suffix": "<string>",
            "custom": "<string>"
          },
          "index": 123
        }
      ],
      "limit": 123,
      "sorts": [
        {
          "descending": true,
          "fieldId": "<string>",
          "pivotValues": [
            {
              "value": "<string>",
              "reference": "<string>"
            }
          ],
          "nullsFirst": true
        }
      ],
      "filters": {
        "tableCalculations": {
          "or": [
            {
              "id": "<string>",
              "target": {
                "fieldId": "<string>"
              },
              "values": [
                "<unknown>"
              ],
              "settings": "<unknown>",
              "disabled": true,
              "required": true,
              "caseSensitive": true
            }
          ],
          "id": "<string>"
        },
        "metrics": {
          "or": [
            {
              "id": "<string>",
              "target": {
                "fieldId": "<string>"
              },
              "values": [
                "<unknown>"
              ],
              "settings": "<unknown>",
              "disabled": true,
              "required": true,
              "caseSensitive": true
            }
          ],
          "id": "<string>"
        },
        "dimensions": {
          "or": [
            {
              "id": "<string>",
              "target": {
                "fieldId": "<string>"
              },
              "values": [
                "<unknown>"
              ],
              "settings": "<unknown>",
              "disabled": true,
              "required": true,
              "caseSensitive": true
            }
          ],
          "id": "<string>"
        }
      },
      "metrics": [
        "<string>"
      ],
      "dimensions": [
        "<string>"
      ],
      "exploreName": "<string>",
      "metadata": {
        "hasADateDimension": {
          "name": "<string>",
          "label": "<string>",
          "table": "<string>"
        }
      },
      "pivotDimensions": [
        "<string>"
      ],
      "timezone": "<string>",
      "dimensionOverrides": {},
      "metricOverrides": {},
      "customDimensions": [
        {
          "id": "<string>",
          "name": "<string>",
          "table": "<string>",
          "dimensionId": "<string>",
          "binNumber": 123
        }
      ],
      "additionalMetrics": [
        {
          "sql": "<string>",
          "table": "<string>",
          "name": "<string>",
          "label": "<string>",
          "description": "<string>",
          "hidden": true,
          "round": 123,
          "index": 123,
          "filters": [
            {
              "id": "<string>",
              "target": {
                "fieldRef": "<string>"
              },
              "values": [
                "<unknown>"
              ],
              "settings": "<unknown>",
              "disabled": true,
              "required": true,
              "caseSensitive": true
            }
          ],
          "baseDimensionName": "<string>",
          "uuid": "<string>",
          "percentile": 123,
          "distinctKeys": [
            "<string>"
          ],
          "formatOptions": {
            "round": 123,
            "currency": "<string>",
            "prefix": "<string>",
            "suffix": "<string>",
            "custom": "<string>"
          },
          "baseMetricId": "<string>",
          "timeDimensionId": "<string>",
          "periodOffset": 123
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-docs-table-groups-deploy-behavior.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

Body

application/json
filters
object
required
underlyingDataSourceQueryUuid
string
required
parameters
object

Construct a type with a set of properties K of type T

usePreAggregateCache
boolean
invalidateCache
boolean
context
enum<string>
Available options:
dashboardView,
autorefreshedDashboard,
exploreView,
filterAutocomplete,
chartView,
chartHistory,
sqlChartView,
sqlRunner,
viewUnderlyingData,
alert,
scheduledDelivery,
csvDownload,
gsheets,
scheduledGsheetsChart,
scheduledGsheetsDashboard,
scheduledGsheetsSqlChart,
scheduledChart,
scheduledDashboard,
calculateTotal,
calculateSubtotal,
embed,
ai,
mcp.run_metric_query,
mcp.run_sql,
mcp.search_field_values,
api,
cli,
metricsExplorer,
preAggregateMaterialization,
dataAppSample
sorts
object[]
limit
number<double> | null
dateZoom
object
underlyingDataItemId
string

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok